Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ImmovablesCostRecordMainGroup
    Inherits BaseObject

    Private _GroupName As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property GroupName As String
        Get
            Return _GroupName
        End Get
        Set(value As String)
            SetPropertyValue("GroupName", _GroupName, value)
        End Set
    End Property

    '------------------ReadOnly-----------------------
    <VisibleInListView(False)> _
    <Association("ImmovablesCostRecordMainGroup-ImmovablesCostRecordGroup", GetType(ImmovablesCostRecordGroup))> _
    ReadOnly Property ImmovablesCostRecordGroup As XPCollection(Of ImmovablesCostRecordGroup)
        Get
            Return GetCollection(Of ImmovablesCostRecordGroup)("ImmovablesCostRecordGroup")
        End Get
    End Property
End Class
